model
Copy Page
Voodoo Manufacturing 3D Print API
materials
Voodoo Manufacturing offers printing in a number of different materials, with different color options for each. Your organization can expose as many or as few material options as you want to your end-customer.
GET
model
Retrieve the models you've created.
GET
Models represent 3D design files that you'd like to produce. Creating models is generally the first step in creating an order.
POST
Get a quote a given model id.
GET
Get a quote for a model with the given attributes.
GET
Retrieve a previously created model by its id.
GET
order
Lists all orders.
GET
Confirms an order from a quote_id and submits it to the Voodoo factory.
POST
Quotes an order and returns a quote_id that is used to confirm the order.
POST
List shipping options and prices for a given shipment.
POST
Retrieve a previously created model by its id.
GET
Schemas
Schemas
ConfirmOrderBody
CreateModelBody
CreateOrderBody
Material
Model
ModelQuote
Order
OrderPrint
Print
ProductionOptions
ProductionOptionsCosts
Quote
Rate
ShippingAddress
ShippingOptionsBody
ShippingService
model
MCP
Copy Page
Retrieve a previously created model by its id.
GET
/model/{model_id}
Try it
Run in Apidog
Run in Apidog
In cases where you're ordering models you've created previously, you can fetch a specific model by its id.
Request
Path Params
Generate Code
Responses
🟢
200
Model object
application/json
Generate Code
Body
application/json
Generate Code
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
'/api/2/model/'
Response
Response Example
{
"id"
:
1
,
"surface_area"
:
6
,
"volume"
:
1
,
"x"
:
1
,
"y"
:
1
,
"z"
:
1
}
Modified atÂ
2023-08-16 02:30:56
Previous
Get a quote for a model with the given attributes.
Next
Lists all orders.